mounting hardware encrypted usb stick failes

Bug #653568 reported by bankey on 2010-10-02
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
udev (Ubuntu)
Undecided
Martin Pitt
Lucid
Undecided
Martin Pitt
Maverick
Undecided
Martin Pitt

Bug Description

Binary package hint: util-linux

Key is seen in dmesg.
appears in nautilus, but failes to mount.
mouning as root failes.

in 9.04 till 10.04 it works flawless.

bug regognision ironkey

[ 158.024073] usb 1-1: new high speed USB device using ehci_hcd and address 5
[ 158.173004] scsi7 : usb-storage 1-1:1.0
[ 161.378310] scsi 7:0:0:0: CD-ROM IronKey CD-ROM 2.08 PQ: 0 ANSI: 0
[ 161.379764] scsi 7:0:0:1: Direct-Access IronKey Secure Drive 2.08 PQ: 0 ANSI: 0
[ 161.577707] sr0: scsi3-mmc drive: 52x/52x cd/rw xa/form2 cdda tray
[ 161.578058] sr 7:0:0:0: Attached scsi CD-ROM sr0
[ 161.578262] sr 7:0:0:0: Attached scsi generic sg1 type 5
[ 161.578699] sd 7:0:0:1: Attached scsi generic sg2 type 0
[ 161.599177] sd 7:0:0:1: [sdb] Attached SCSI removable disk

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: mount 2.17.2-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic i686
Architecture: i386
Date: Sat Oct 2 14:16:35 2010
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release i386 (20100816.1)
ProcEnviron:
 LC_TIME=en_GB.UTF-8
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: util-linux

SRU INFORMATION
===============
During the Maverick time frame we fixed a dozen or more bugs in cdrom_id, which concern proper detection of fresh and reblanked CD/DVD +/- RW and DVD-RAM (bug 581925), media detection on older drives (bug 502143), detection of fake CD drives (this bug), or reading bogus track data from the TOC (also part of this bug). We got good feedback about these patches in Maverick, and no regression reports so far. Therefore I think it makes more sense to backport the maverick version of cdrom_id than trying to backport individual changes and leaving other regressions unfixed; also, while the patch is rather large, the individual commits are pretty straightforward, and I'm happy to explain any of them.

The total patch is
http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/lucid/udev/lucid/revision/175

The individual commits can be reviewed at http://git.kernel.org/?p=linux/hotplug/udev.git;a=history;f=extras/cdrom_id/cdrom_id.c;hb=HEAD

Test case: Verification should verify that different media types (CD/DVD, +/-/RAM, audio/data/mixed, fresh/reblanked/written) are still detected correctly (e. g. in brasero or nautilus, automount), and additionally (by the reporters of this bug) that IronKeys are detected and automounted properly again.

Regression potential: A large portion of the patch is of the type "if normal SCSI command fails then try this older fallback", which wouldn't affect current (i. e. <= 6 years) CD drives at all. However, the changes now cause a lot more media to be detected than before, so in theory this could now lead to mis-detecting tracks or media which aren't actually present. In that case, the user would get an automount error, or phantom media in brasero/rhythmbox/other CD media burners/players. However, we did not get such reports during/after Maverick's release, so overall I consider the regression potential to be low.

bankey (bankey-biharidassa) wrote :
bankey (bankey-biharidassa) wrote :

"safe removal" in nautilus:

Error detaching: helper exited with exit code 1: Detaching device /dev/sdb
USB device: /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-1)
SYNCHRONIZE CACHE: FAILED: No such file or directory
(Continuing despite SYNCHRONIZE CACHE failure.)
STOP UNIT: FAILED: No such file or directory

I'll add later output from 10.04 (I guess there are not too many ironkeys available..;-) )

bankey (bankey-biharidassa) wrote :

hmm..also normal usb key givesmounting problem in nautilus.. workaround for normal key :with usbmounter on top of hal it mounts.. ironkey still not.. :-(

as prommised.. the output files of hal and output of 10.04

Martin Pitt (pitti) wrote :

I just received another report on IRC about IronKeys being broken, and I think I might have a solution. Can you please plug in the key, run the commands below in a terminal window and copy&paste the result?

   sudo /lib/udev/cdrom_id --debug /dev/sr0
   sudo /lib/udev/cdrom_id --debug /dev/sr1

(Since I don't know which device is the IronKey, just try both; the output will tell me)

Thanks!

affects: util-linux (Ubuntu) → udev (Ubuntu)
Changed in udev (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
status: New → Incomplete
Download full text (5.2 KiB)

Hi Martin, ok.. that makes things easier.. ;-)

I found a minute and here is the output of /dev/sr1

~# /lib/udev/cdrom_id --debug /dev/sr1
main: probing: '/dev/sr1'
cd_inquiry: INQUIRY: [IronKey ][CD-ROM ][2.08]
info_scsi_cmd_err: GET CONFIGURATION failed with SK=5h/ASC=20h/ACQ=00h
ID_CDROM=1
ID_CDROM_MEDIA=1

update systemdetails:

uname -a
Linux eduard-laptop 2.6.32-25-generic #44-Ubuntu SMP Fri Sep 17 20:26:08 UTC
2010 i686 GNU/Linux

backported maverick kernel (which I use now on my machine) does not give any
problems either..

output:
main: probing: '/dev/sr2'
cd_inquiry: INQUIRY: [IronKey ][CD-ROM ][2.08]
info_scsi_cmd_err: GET CONFIGURATION failed with SK=5h/ASC=20h/ACQ=00h
ID_CDROM=1
ID_CDROM_MEDIA=1

uname -a
Linux goloka-vrindaban 2.6.35-22-generic-pae #33-Ubuntu SMP Mon Sep 20
09:30:13 UTC 2010 i686 GNU/Linux

Good luck.. ;-)
If you need more info, I'll be pleased to assist..

Best Regards,

Bankey

2010/10/5 Martin Pitt <email address hidden>

> I just received another report on IRC about IronKeys being broken, and I
> think I might have a solution. Can you please plug in the key, run the
> commands below in a terminal window and copy&paste the result?
>
> sudo /lib/udev/cdrom_id --debug /dev/sr0
> sudo /lib/udev/cdrom_id --debug /dev/sr1
>
> (Since I don't know which device is the IronKey, just try both; the
> output will tell me)
>
> Thanks!
>
> ** Package changed: util-linux (Ubuntu) => udev (Ubuntu)
>
> ** Changed in: udev (Ubuntu)
> Status: New => Incomplete
>
> ** Changed in: udev (Ubuntu)
> Assignee: (unassigned) => Martin Pitt (pitti)
>
> --
> mounting hardware encrypted usb stick failes
> https://bugs.launchpad.net/bugs/653568
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “udev” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: util-linux
>
> Key is seen in dmesg.
> appears in nautilus, but failes to mount.
> mouning as root failes.
>
> in 9.04 till 10.04 it works flawless.
>
> bug regognision ironkey
>
> [ 158.024073] usb 1-1: new high speed USB device using ehci_hcd and
> address 5
> [ 158.173004] scsi7 : usb-storage 1-1:1.0
> [ 161.378310] scsi 7:0:0:0: CD-ROM IronKey CD-ROM
> 2.08 PQ: 0 ANSI: 0
> [ 161.379764] scsi 7:0:0:1: Direct-Access IronKey Secure Drive
> 2.08 PQ: 0 ANSI: 0
> [ 161.577707] sr0: scsi3-mmc drive: 52x/52x cd/rw xa/form2 cdda tray
> [ 161.578058] sr 7:0:0:0: Attached scsi CD-ROM sr0
> [ 161.578262] sr 7:0:0:0: Attached scsi generic sg1 type 5
> [ 161.578699] sd 7:0:0:1: Attached scsi generic sg2 type 0
> [ 161.599177] sd 7:0:0:1: [sdb] Attached SCSI removable disk
>
> bankey@goloka-vrindaban:~$ lsusb
> Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 003 Device 002: ID 12d1:1003 Huawei Technologies Co., Ltd. E220 HSDPA
> Modem / E270 HSDPA/HSUPA Modem
> Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 001 Device 005: ID 1953:0202 Ironkey Inc.
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>
> lshal:
> usb_device_1d6b_2_0000_00_1d_7' (str...

Read more...

Martin Pitt (pitti) wrote :

Thanks. Can you please add my "sru-test" PPA at

  https://launchpad.net/~pitti/+archive/sru-test

and upgrade to the udev there? This should fix the issue. Can you please give me the cdrom_id debug output again (even if it works, to confirm that everything looks like it should)?

Thanks!

bankey (bankey-biharidassa) wrote :
Download full text (4.1 KiB)

I will.. when i got thr ime for it....
let you know asap ..

2010/10/6 Martin Pitt <email address hidden>

> Thanks. Can you please add my "sru-test" PPA at
>
> https://launchpad.net/~pitti/+archive/sru-test<https://launchpad.net/%7Epitti/+archive/sru-test>
>
> and upgrade to the udev there? This should fix the issue. Can you please
> give me the cdrom_id debug output again (even if it works, to confirm
> that everything looks like it should)?
>
> Thanks!
>
> --
> mounting hardware encrypted usb stick failes
> https://bugs.launchpad.net/bugs/653568
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “udev” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: util-linux
>
> Key is seen in dmesg.
> appears in nautilus, but failes to mount.
> mouning as root failes.
>
> in 9.04 till 10.04 it works flawless.
>
> bug regognision ironkey
>
> [ 158.024073] usb 1-1: new high speed USB device using ehci_hcd and
> address 5
> [ 158.173004] scsi7 : usb-storage 1-1:1.0
> [ 161.378310] scsi 7:0:0:0: CD-ROM IronKey CD-ROM
> 2.08 PQ: 0 ANSI: 0
> [ 161.379764] scsi 7:0:0:1: Direct-Access IronKey Secure Drive
> 2.08 PQ: 0 ANSI: 0
> [ 161.577707] sr0: scsi3-mmc drive: 52x/52x cd/rw xa/form2 cdda tray
> [ 161.578058] sr 7:0:0:0: Attached scsi CD-ROM sr0
> [ 161.578262] sr 7:0:0:0: Attached scsi generic sg1 type 5
> [ 161.578699] sd 7:0:0:1: Attached scsi generic sg2 type 0
> [ 161.599177] sd 7:0:0:1: [sdb] Attached SCSI removable disk
>
> bankey@goloka-vrindaban:~$ lsusb
> Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 003 Device 002: ID 12d1:1003 Huawei Technologies Co., Ltd. E220 HSDPA
> Modem / E270 HSDPA/HSUPA Modem
> Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 001 Device 005: ID 1953:0202 Ironkey Inc.
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>
> lshal:
> usb_device_1d6b_2_0000_00_1d_7' (string)
> info.product = 'IronKey' (string)
> info.subsystem = 'usb_device' (string)
> info.udi = '/org/freedesktop/Hal/devices/usb_device_1953_202_00420993'
> (string)
> info.vendor = 'Ironkey Inc.' (string)
> linux.device_file = '/dev/bus/usb/001/005' (string)
> linux.hotplug_type = 2 (0x2) (int)
> linux.subsystem = 'usb' (string)
> linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-1'
> (string)
> usb_device.bus_number = 1 (0x1) (int)
> usb_device.can_wake_up = false (bool)
> usb_device.configuration_value = 1 (0x1) (int)
> usb_device.device_class = 0 (0x0) (int)
> usb_device.device_protocol = 0 (0x0) (int)
> usb_device.device_revision_bcd = 520 (0x208) (int)
> usb_device.device_subclass = 0 (0x0) (int)
> usb_device.is_self_powered = false (bool)
> usb_device.linux.device_number = 5 (0x5) (int)
> usb_device.linux.sysfs_path =
> '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-1' (string)
> usb_device.max_power = 200 (0xc8) (int)
> usb_device.num_configurations = 1 (0x1) (int)
> usb_device.num_interfaces = 1 (0x1) (int)
> usb_device.num_ports = 0 (0x0) (int)
> usb_device.prod...

Read more...

bankey (bankey-biharidassa) wrote :
Download full text (4.1 KiB)

your ppa is still lucid ppa..
i try to workaround it by installing the files manually

2010/10/6 Martin Pitt <email address hidden>

> Thanks. Can you please add my "sru-test" PPA at
>
> https://launchpad.net/~pitti/+archive/sru-test<https://launchpad.net/%7Epitti/+archive/sru-test>
>
> and upgrade to the udev there? This should fix the issue. Can you please
> give me the cdrom_id debug output again (even if it works, to confirm
> that everything looks like it should)?
>
> Thanks!
>
> --
> mounting hardware encrypted usb stick failes
> https://bugs.launchpad.net/bugs/653568
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “udev” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: util-linux
>
> Key is seen in dmesg.
> appears in nautilus, but failes to mount.
> mouning as root failes.
>
> in 9.04 till 10.04 it works flawless.
>
> bug regognision ironkey
>
> [ 158.024073] usb 1-1: new high speed USB device using ehci_hcd and
> address 5
> [ 158.173004] scsi7 : usb-storage 1-1:1.0
> [ 161.378310] scsi 7:0:0:0: CD-ROM IronKey CD-ROM
> 2.08 PQ: 0 ANSI: 0
> [ 161.379764] scsi 7:0:0:1: Direct-Access IronKey Secure Drive
> 2.08 PQ: 0 ANSI: 0
> [ 161.577707] sr0: scsi3-mmc drive: 52x/52x cd/rw xa/form2 cdda tray
> [ 161.578058] sr 7:0:0:0: Attached scsi CD-ROM sr0
> [ 161.578262] sr 7:0:0:0: Attached scsi generic sg1 type 5
> [ 161.578699] sd 7:0:0:1: Attached scsi generic sg2 type 0
> [ 161.599177] sd 7:0:0:1: [sdb] Attached SCSI removable disk
>
> bankey@goloka-vrindaban:~$ lsusb
> Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 003 Device 002: ID 12d1:1003 Huawei Technologies Co., Ltd. E220 HSDPA
> Modem / E270 HSDPA/HSUPA Modem
> Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 001 Device 005: ID 1953:0202 Ironkey Inc.
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>
> lshal:
> usb_device_1d6b_2_0000_00_1d_7' (string)
> info.product = 'IronKey' (string)
> info.subsystem = 'usb_device' (string)
> info.udi = '/org/freedesktop/Hal/devices/usb_device_1953_202_00420993'
> (string)
> info.vendor = 'Ironkey Inc.' (string)
> linux.device_file = '/dev/bus/usb/001/005' (string)
> linux.hotplug_type = 2 (0x2) (int)
> linux.subsystem = 'usb' (string)
> linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-1'
> (string)
> usb_device.bus_number = 1 (0x1) (int)
> usb_device.can_wake_up = false (bool)
> usb_device.configuration_value = 1 (0x1) (int)
> usb_device.device_class = 0 (0x0) (int)
> usb_device.device_protocol = 0 (0x0) (int)
> usb_device.device_revision_bcd = 520 (0x208) (int)
> usb_device.device_subclass = 0 (0x0) (int)
> usb_device.is_self_powered = false (bool)
> usb_device.linux.device_number = 5 (0x5) (int)
> usb_device.linux.sysfs_path =
> '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-1' (string)
> usb_device.max_power = 200 (0xc8) (int)
> usb_device.num_configurations = 1 (0x1) (int)
> usb_device.num_interfaces = 1 (0x1) (int)
> usb_device.num_ports = 0 (0x...

Read more...

bankey (bankey-biharidassa) wrote :
Download full text (7.0 KiB)

hi Martin..
I created some time for it and the latest livecd..

output before update :

ubuntu@ubuntu:~$ sudo /lib/udev/cdrom_id --debug /dev/sr1
main: probing: '/dev/sr1'
cd_inquiry: INQUIRY: [IronKey ][CD-ROM ][2.08]
info_scsi_cmd_err: GET CONFIGURATION failed with SK=5h/ASC=20h/ACQ=00h
cd_profiles: drive is pre-MMC2 and does not support 46h get configuration
command
cd_profiles: trying to work around the problem
info_scsi_cmd_err: READ DISC INFORMATION failed with SK=5h/ASC=20h/ACQ=00h
cd_profiles_old_mmc: no current profile, assuming no media
ID_CDROM=1
ID_CDROM_MEDIA=1

output after update..
ubuntu@ubuntu:~$ sudo /lib/udev/cdrom_id --debug /dev/sr1
main: probing: '/dev/sr1'
cd_inquiry: INQUIRY: [IronKey ][CD-ROM ][2.08]
info_scsi_cmd_err: GET CONFIGURATION failed with SK=5h/ASC=20h/ACQ=00h
cd_profiles: drive is pre-MMC2 and does not support 46h get configuration
command
cd_profiles: trying to work around the problem
info_scsi_cmd_err: READ DISC INFORMATION failed with SK=5h/ASC=20h/ACQ=00h
cd_profiles_old_mmc: no current profile, but disc is present; assuming
CD-ROM
cd_media_toc: READ TOC: len: 48, start track: 1, end track: 1
cd_media_toc: track=0 info=0x4(data) start_block=0
cd_media_toc: last track 0 starts at block 0
info_scsi_cmd_err: READ DISC INFORMATION failed with SK=5h/ASC=20h/ACQ=00h
ID_CDROM=1
ID_CDROM_MRW=1
ID_CDROM_MRW_W=1
ID_CDROM_MEDIA=1
ID_CDROM_MEDIA_CD=1
ID_CDROM_MEDIA_TRACK_COUNT_DATA=1

BTW: a bit of the ppa gives a problem:
Err http://ppa.launchpad.net maverick/main Sources
  404 Not Found
Err http://ppa.launchpad.net maverick/main i386 Packages
  404 Not Found

some remarks:
I installed the deb files manually because sudo upgrade && sudo upgrade
failes (probably because it's a lucid ppa)
after installing the files (only the dev-files did not want to install
Errors were encountered while processing:
 libgudev-1.0-dev
 libudev0-udeb_151-12.1pitti1_i386.udeb
udev-udeb_151-12.1pitti1_i386.udeb

further by restarting udev services and udevtrigger I got a crash in kernel
:
WARNING: at /build/buildd/linux-2.6.35/ubuntu/aufs/plink.c:332
au_plink_append+0x274/0x2e0 [aufs]()
Call Trace:
 [<c014ac52>] warn_slowpath_common+0x72/0xa0
 [<f96fc494>] ? au_plink_append+0x274/0x2e0 [aufs]
 [<f96fc494>] ? au_plink_append+0x274/0x2e0 [aufs]
 [<c014ad23>] warn_slowpath_fmt+0x33/0x40
 [<f96fc494>] au_plink_append+0x274/0x2e0 [aufs]
 [<f97072ea>] au_cpup_or_link+0x10a/0x230 [aufs]
 [<f9707c88>] aufs_link+0x158/0x4a0 [aufs]
 [<c0303a6d>] ? security_inode_permission+0x1d/0x30
 [<f9705427>] ? h_permission+0x97/0x120 [aufs]

udev-trigger is still trying to restart..

I'm sorry I can't put more time in it now..

Regards,

Bankey

2010/10/6 Bankey BiHari Dassa <email address hidden>

> I will.. when i got thr ime for it....
> let you know asap ..
>
> 2010/10/6 Martin Pitt <email address hidden>
>
> Thanks. Can you please add my "sru-test" PPA at
>>
>> https://launchpad.net/~pitti/+archive/sru-test<https://launchpad.net/%7Epitti/+archive/sru-test>
>>
>> and upgrade to the udev there? This should fix the issue. Can you please
>> give me the cdrom_id debug output again (even if it works, to confirm
>> that every...

Read more...

Martin Pitt (pitti) wrote :

bankey [2010-10-06 16:33 -0000]:
> your ppa is still lucid ppa..

Right, I thought you were running lucid, so I prepared a package for
lucid.

The cdrom_id output looks okay, does it work better now?

Martin Pitt (pitti) wrote :

Hello bankey,

bankey [2010-10-06 16:43 -0000]:
> BTW: a bit of the ppa gives a problem:
> Err http://ppa.launchpad.net maverick/main Sources
> 404 Not Found

Right, it only has packages for lucid.

If you prefer trying this on maverick, I'll prepare a package for you
tomorrow, and follow up here.

--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

bankey (bankey-biharidassa) wrote :
Download full text (4.3 KiB)

well, it's not about what i prefer..
the bug does not show with 10.04, but does with 10.10...
so if we want to tackle this one, i guess let's try it later on with
maverick pakackes..

2010/10/6 Martin Pitt <email address hidden>

> Hello bankey,
>
> bankey [2010-10-06 16:43 -0000]:
> > BTW: a bit of the ppa gives a problem:
> > Err http://ppa.launchpad.net maverick/main Sources
> > 404 Not Found
>
> Right, it only has packages for lucid.
>
> If you prefer trying this on maverick, I'll prepare a package for you
> tomorrow, and follow up here.
>
> --
> Martin Pitt | http://www.piware.de
> Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)
>
> --
> mounting hardware encrypted usb stick failes
> https://bugs.launchpad.net/bugs/653568
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “udev” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: util-linux
>
> Key is seen in dmesg.
> appears in nautilus, but failes to mount.
> mouning as root failes.
>
> in 9.04 till 10.04 it works flawless.
>
> bug regognision ironkey
>
> [ 158.024073] usb 1-1: new high speed USB device using ehci_hcd and
> address 5
> [ 158.173004] scsi7 : usb-storage 1-1:1.0
> [ 161.378310] scsi 7:0:0:0: CD-ROM IronKey CD-ROM
> 2.08 PQ: 0 ANSI: 0
> [ 161.379764] scsi 7:0:0:1: Direct-Access IronKey Secure Drive
> 2.08 PQ: 0 ANSI: 0
> [ 161.577707] sr0: scsi3-mmc drive: 52x/52x cd/rw xa/form2 cdda tray
> [ 161.578058] sr 7:0:0:0: Attached scsi CD-ROM sr0
> [ 161.578262] sr 7:0:0:0: Attached scsi generic sg1 type 5
> [ 161.578699] sd 7:0:0:1: Attached scsi generic sg2 type 0
> [ 161.599177] sd 7:0:0:1: [sdb] Attached SCSI removable disk
>
> bankey@goloka-vrindaban:~$ lsusb
> Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 003 Device 002: ID 12d1:1003 Huawei Technologies Co., Ltd. E220 HSDPA
> Modem / E270 HSDPA/HSUPA Modem
> Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 001 Device 005: ID 1953:0202 Ironkey Inc.
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>
> lshal:
> usb_device_1d6b_2_0000_00_1d_7' (string)
> info.product = 'IronKey' (string)
> info.subsystem = 'usb_device' (string)
> info.udi = '/org/freedesktop/Hal/devices/usb_device_1953_202_00420993'
> (string)
> info.vendor = 'Ironkey Inc.' (string)
> linux.device_file = '/dev/bus/usb/001/005' (string)
> linux.hotplug_type = 2 (0x2) (int)
> linux.subsystem = 'usb' (string)
> linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-1'
> (string)
> usb_device.bus_number = 1 (0x1) (int)
> usb_device.can_wake_up = false (bool)
> usb_device.configuration_value = 1 (0x1) (int)
> usb_device.device_class = 0 (0x0) (int)
> usb_device.device_protocol = 0 (0x0) (int)
> usb_device.device_revision_bcd = 520 (0x208) (int)
> usb_device.device_subclass = 0 (0x0) (int)
> usb_device.is_self_powered = false (bool)
> usb_device.linux.device_number = 5 (0x5) (int)
> usb_device.linux.sysfs_path =
> '/sys/devices/pci0000:00/000...

Read more...

bankey (bankey-biharidassa) wrote :
Download full text (19.7 KiB)

Hi Martin,

I tried your update at the 10.04.

by plugging in usb keys (huawei e220 or the ironkey) linux gives alerts
"could not mount /dev/sr0 sr1. "
devices do mount actually, but give these alerts.

below you find the output as it is at 10.04

main: probing: '/dev/sr1'
cd_inquiry: INQUIRY: [IronKey ][CD-ROM ][2.08]
info_scsi_cmd_err: GET CONFIGURATION failed with SK=5h/ASC=20h/ACQ=00h
cd_profiles: drive is pre-MMC2 and does not support 46h get configuration
command
cd_profiles: trying to work around the problem
info_scsi_cmd_err: READ DISC INFORMATION failed with SK=5h/ASC=20h/ACQ=00h
cd_profiles_old_mmc: no current profile, but disc is present; assuming
CD-ROM
cd_media_toc: READ TOC: len: 48, start track: 1, end track: 1
cd_media_toc: track=0 info=0x4(data) start_block=0
cd_media_toc: last track 0 starts at block 0
info_scsi_cmd_err: READ DISC INFORMATION failed with SK=5h/ASC=20h/ACQ=00h
ID_CDROM=1
ID_CDROM_MEDIA=1
ID_CDROM_MEDIA_CD=1
ID_CDROM_MEDIA_TRACK_COUNT_DATA=1
bankey@goloka-vrindaban:~$

dmesg:
[ 3016.696101] usb 1-3: new high speed USB device using ehci_hcd and address
9
[ 3016.849881] scsi27 : usb-storage 1-3:1.0
[ 3020.076701] scsi 27:0:0:0: CD-ROM IronKey CD-ROM
2.08 PQ: 0 ANSI: 0
[ 3020.078165] scsi 27:0:0:1: Direct-Access IronKey Secure Drive
2.08 PQ: 0 ANSI: 0
[ 3020.270971] sr1: scsi3-mmc drive: 52x/52x cd/rw xa/form2 cdda tray
[ 3020.271331] sr 27:0:0:0: Attached scsi CD-ROM sr1
[ 3020.271540] sr 27:0:0:0: Attached scsi generic sg2 type 5
[ 3020.271998] sd 27:0:0:1: Attached scsi generic sg3 type 0
[ 3020.298658] sd 27:0:0:1: [sdb] Attached SCSI removable disk
[ 3020.905602] ISO 9660 Extensions: Microsoft Joliet Level 3
[ 3020.906595] ISO 9660 Extensions: RRIP_1991A
bankey@goloka-vrindaban:~$

lsusb -v:

lsusb -v

Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 9 Hub
  bDeviceSubClass 0 Unused
  bDeviceProtocol 0 Full speed (or root) hub
  bMaxPacketSize0 64
  idVendor 0x1d6b Linux Foundation
  idProduct 0x0001 1.1 root hub
  bcdDevice 2.06
  iManufacturer 3
  iProduct 2
  iSerial 1
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 25
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xe0
      Self Powered
      Remote Wakeup
    MaxPower 0mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 9 Hub
      bInterfaceSubClass 0 Unused
      bInterfaceProtocol 0 Full speed (or root) hub
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type ...

Martin Pitt (pitti) wrote :

> linux gives alerts "could not mount /dev/sr0 sr1. "

This indeed looks weird. Can you try to do this

  umount /dev/sr1
  udisks --mount /dev/sr1

and copy the output?

But anyway, if this is still working under 10.04, then it's probably not worth pursing this further.

> so if we want to tackle this one, i guess let's try it later on with maverick pakackes..

Right. I applied the two fixes to the maverick package and uploaded again to my sru-test PPA (so the maverick sources for this will work now).

bankey (bankey-biharidassa) wrote :
Download full text (9.5 KiB)

Hi martin,
retry @ 10.10..
running live-cd
adding your ppa
update & upgrade
kernelcrash:

WARNING: at /build/buildd/linux-2.6.35/ubuntu/aufs/plink.c:332
au_plink_append+0x274/0x2e0 [aufs]()
Call Trace:
 [<c014ac52>] warn_slowpath_common+0x72/0xa0
 [<f96fc494>] ? au_plink_append+0x274/0x2e0 [aufs]
 [<f96fc494>] ? au_plink_append+0x274/0x2e0 [aufs]
 [<c014ad23>] warn_slowpath_fmt+0x33/0x40
 [<f96fc494>] au_plink_append+0x274/0x2e0 [aufs]
 [<f97072ea>] au_cpup_or_link+0x10a/0x230 [aufs]
 [<f9707c88>] aufs_link+0x158/0x4a0 [aufs]
 [<c0303a6d>] ? security_inode_permission+0x1d/0x30
 [<f9705427>] ? h_permission+0x97/0x120 [aufs]

But:
mounting de key properly.
output before unlocking:

ubuntu@ubuntu:~$ sudo /lib/udev/cdrom_id --debug /dev/sr1
main: probing: '/dev/sr1'
cd_inquiry: INQUIRY: [IronKey ][CD-ROM ][2.08]
info_scsi_cmd_err: GET CONFIGURATION failed with SK=5h/ASC=20h/ACQ=00h
cd_profiles: drive is pre-MMC2 and does not support 46h get configuration
command
cd_profiles: trying to work around the problem
info_scsi_cmd_err: READ DISC INFORMATION failed with SK=5h/ASC=20h/ACQ=00h
cd_profiles_old_mmc: no current profile, but disc is present; assuming
CD-ROM
cd_media_toc: READ TOC: len: 48, start track: 1, end track: 1
cd_media_toc: track=0 info=0x4(data) start_block=0
cd_media_toc: last track 0 starts at block 0
info_scsi_cmd_err: READ DISC INFORMATION failed with SK=5h/ASC=20h/ACQ=00h
ID_CDROM=1
ID_CDROM_MEDIA=1
ID_CDROM_MEDIA_CD=1
ID_CDROM_MEDIA_TRACK_COUNT_DATA=1
ubuntu@ubuntu:~$

dmesg:

[ 630.791183] ------------[ cut here ]------------
[ 630.791223] WARNING: at
/build/buildd/linux-2.6.35/ubuntu/aufs/plink.c:332
au_plink_append+0x274/0x2e0 [aufs]()
[ 630.791226] Hardware name: W760SUN
[ 630.791228] unexpectedly many pseudo links, 101
[ 630.791230] Modules linked in: binfmt_misc parport_pc ppdev lp dm_crypt
parport snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm
snd_seq_midi snd_rawmidi snd_seq_midi_event arc4 snd_seq snd_timer
snd_seq_device rtl8187 joydev mac80211 snd uvcvideo soundcore cfg80211
jmb38x_ms videodev psmouse snd_page_alloc v4l1_compat memstick serio_raw
eeprom_93cx6 squashfs aufs nls_cp437 isofs dm_raid45 xor btrfs zlib_deflate
crc32c libcrc32c nouveau ttm drm_kms_helper drm sis_agp video usb_storage
output i2c_algo_bit sis190 agpgart sdhci_pci sdhci mii sata_sis led_class
[ 630.791281] Pid: 3485, comm: dpkg Not tainted 2.6.35-22-generic
#33-Ubuntu
[ 630.791284] Call Trace:
[ 630.791297] [<c014ac52>] warn_slowpath_common+0x72/0xa0
[ 630.791305] [<f96fc494>] ? au_plink_append+0x274/0x2e0 [aufs]
[ 630.791313] [<f96fc494>] ? au_plink_append+0x274/0x2e0 [aufs]
[ 630.791316] [<c014ad23>] warn_slowpath_fmt+0x33/0x40
[ 630.791325] [<f96fc494>] au_plink_append+0x274/0x2e0 [aufs]
[ 630.791334] [<f97072ea>] au_cpup_or_link+0x10a/0x230 [aufs]
[ 630.791342] [<f9707c88>] aufs_link+0x158/0x4a0 [aufs]
[ 630.791348] [<c0303a6d>] ? security_inode_permission+0x1d/0x30
[ 630.791357] [<f9705427>] ? h_permission+0x97/0x120 [aufs]
[ 630.791364] [<c022269d>] vfs_link+0xed/0x160
[ 630.791368] [<c0224fd7>] sys_linkat+0x117/0x120
[ 630.791373] [<c02306cf>] ? mntput_no_expire+0x1f/0xd0
[ 630....

Read more...

Martin Pitt (pitti) wrote :

Hello bankey,

bankey [2010-10-08 14:56 -0000]:
> kernelcrash:

Note that this is not really a crash, it just warns that a particular
process (dpkg in this case) took longer than it should have. This is
unrelated to the actual udev update.

> cd_profiles_old_mmc: no current profile, but disc is present; assuming CD-ROM
> ID_CDROM=1
> ID_CDROM_MEDIA=1
> ID_CDROM_MEDIA_CD=1
> ID_CDROM_MEDIA_TRACK_COUNT_DATA=1

Splendid, that's what I was looking for.

> Good job anyway... tnx..

That means the stick fully works now? You didn't mention whether you
can access your data on it now.

> OT: btw.. pls let me know if I may ask you a little scriptquestion, on topic
> of ironkey, but offtopic for this bug.

Please feel free to private-mail me.

Thanks for testing!

Martin
--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

tags: added: regression-update
Martin Pitt (pitti) wrote :

Marking as regression-update, since this reportedly worked in lucid.

==== SRU information ====

= Rationale =
This is a regression from 10.04, where the IronKey reportedly worked. I don't really know why yet, but it's clear why maverick udev's cdrom_id fails.

= Patch =

The most important fix for this is

  http://git.kernel.org/?p=linux/hotplug/udev.git;a=commitdiff;h=678df8a461c7573bf423a39be383bc7b70d943df

However, we should also apply

  http://git.kernel.org/?p=linux/hotplug/udev.git;a=commitdiff;h=1ebd2a5620c93ef4698485d392c19ded675412d2

I debugged this with another user on IRC, who also has an ironkey, and without the second patch you get a lot of extra bogus audio tracks, which confuse nautilus. This patch has been tested by that user, the reporter of this bug (bankey), and by me with about 5 different types of CD media.

= Regression potential =

The first patch (678df8a4) merely adds yet another fallback for CD media detection if both the current MMC-2 ioctl as well as the old-style ioctl fail; we did not yet encounter a real CD drive where this happens, and on those the behaviour is unchanged. The regression potential on those pathological drives which support neither is that they also have a broken CDROM_DRIVE_STATUS ioctl which claims to have a medium although they don't. But this isn't relevant for the IronKeys (since you can't actually remove the medium), and on real drives you would get a false medium displayed without any tracks (but if none of the ioctls work, then there's nothing that you can do with the drive in the first place..)

The second patch could potentially lead to not counting tracks which were previously recognized IF the drive lies about the number of tracks. However, since we compared the behaviour under Windows, we have reason to believe that the Windows driver read this field as well; otherwise you would also get bogus audio tracks there; the extra TOC fields do have reasonably valid entries, but are outside the number of tracks area. In the end this could lead to nautilus/rhythmbox not detecting all audio tracks. This patch got successfully tested on several drives and media, though, and all specs that I looked at agree on these fields being the track number limits, so I think the regression potential here is low.

Changed in udev (Ubuntu):
status: Incomplete → Fix Committed
Martin Pitt (pitti) wrote :

For the record, I mention the second patch here because I created that while debugging the original IronKey problem with the reporter on IRC in #udev. After the first patch it still didn't work right due to the detected bogus tracks. So in order to really make these keys work we need both patches.

Martin Pitt (pitti) wrote :

I uploaded a fix to maverick-proposed, but I need another SRU team member's approval.

bankey (bankey-biharidassa) wrote :
Download full text (5.0 KiB)

Hi Martin..

2010/10/8 Martin Pitt <email address hidden>

> Hello bankey,
>
> bankey [2010-10-08 14:56 -0000]:
> > kernelcrash:
>
> Note that this is not really a crash, it just warns that a particular
> process (dpkg in this case) took longer than it should have. This is
> unrelated to the actual udev update.
>
> ok.. well, i'm no programmer, but in hitting bugs I'm good in.. ;-) so I
did not really put attention to the output, except to copy/paste it.. and
leave it up for the profs ;-)

> > cd_profiles_old_mmc: no current profile, but disc is present; assuming
> CD-ROM
> > ID_CDROM=1
> > ID_CDROM_MEDIA=1
> > ID_CDROM_MEDIA_CD=1
> > ID_CDROM_MEDIA_TRACK_COUNT_DATA=1
>
> Splendid, that's what I was looking for.
>
> > Good job anyway... tnx..
>
> That means the stick fully works now? You didn't mention whether you
> can access your data on it now.
>
> Sorry.. yes.. the key get's mounted, I'm able to execute the unlocker and
the unlocked part mounts also correctly..

> > OT: btw.. pls let me know if I may ask you a little scriptquestion, on
> topic
> > of ironkey, but offtopic for this bug.
>
> Please feel free to private-mail me.
>
> Thanks for testing!
>
> You're very welcome..

> Martin
> --
> Martin Pitt | http://www.piware.de
> Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)
>
>
> ** Tags added: regression-update
>
> --
> mounting hardware encrypted usb stick failes
> https://bugs.launchpad.net/bugs/653568
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “udev” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: util-linux
>
> Key is seen in dmesg.
> appears in nautilus, but failes to mount.
> mouning as root failes.
>
> in 9.04 till 10.04 it works flawless.
>
> bug regognision ironkey
>
> [ 158.024073] usb 1-1: new high speed USB device using ehci_hcd and
> address 5
> [ 158.173004] scsi7 : usb-storage 1-1:1.0
> [ 161.378310] scsi 7:0:0:0: CD-ROM IronKey CD-ROM
> 2.08 PQ: 0 ANSI: 0
> [ 161.379764] scsi 7:0:0:1: Direct-Access IronKey Secure Drive
> 2.08 PQ: 0 ANSI: 0
> [ 161.577707] sr0: scsi3-mmc drive: 52x/52x cd/rw xa/form2 cdda tray
> [ 161.578058] sr 7:0:0:0: Attached scsi CD-ROM sr0
> [ 161.578262] sr 7:0:0:0: Attached scsi generic sg1 type 5
> [ 161.578699] sd 7:0:0:1: Attached scsi generic sg2 type 0
> [ 161.599177] sd 7:0:0:1: [sdb] Attached SCSI removable disk
>
> bankey@goloka-vrindaban:~$ lsusb
> Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 003 Device 002: ID 12d1:1003 Huawei Technologies Co., Ltd. E220 HSDPA
> Modem / E270 HSDPA/HSUPA Modem
> Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 001 Device 005: ID 1953:0202 Ironkey Inc.
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>
> lshal:
> usb_device_1d6b_2_0000_00_1d_7' (string)
> info.product = 'IronKey' (string)
> info.subsystem = 'usb_device' (string)
> info.udi = '/org/freedesktop/Hal/devices/usb_device_1953_202_00420993'
> (string)
> info.vendor = 'Ironkey Inc.' (string)
> linux.dev...

Read more...

Accepted udev into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Martin Pitt (pitti) wrote :

Bankey, it would be nice if you could test the maverick-proposed version (162-2.1) in a few hours. Thanks!

bankey (bankey-biharidassa) wrote :

sory.. wil do it in a little and test..

time.. ;-)

bankey (bankey-biharidassa) wrote :

Well, fix confirmed.
Works flawless again.. :-)

Tnx a lot guys..

I will attach the output at this post.

Best regards,

Bankey

Martin Pitt (pitti) wrote :

Splendid, thanks for testing!

tags: added: regression-release verification-done
removed: regression-update verification-needed
Martin Paljak (martinpaljak) wrote :

Tried the proposed update and I can confirm that my ironkey started to work again as well.

Arun Ramiya (arunprasadrm) wrote :

Hello Martin:

I have an Ironkey and it works perfectly on 9.10 (Karmic Koala). However, starting from 10.04 (Lucid), I see the kernel resetting the device after few hours. I captured this bus event on a CATC analyzer and filed a bug. Here's the link to the bug I filed:

https://bugs.launchpad.net/ubuntu/+bug/628282

Does your fix stops polling GET Configuration (0x46) or GET EVENT Status (0x4A) command to Ironkey? I am doing data regression tests with this drive and please let me know if there is an update available for Lucid Lynx.

Best Regards,
Arun

I have tested and use the ironkey without any problems with 10.04 and with
bugfixes also with 10.10
The fix for 10.04 is working as well. I can't remember mounting problems
with any 9 version.

If the fix is usefull for 9.x indeed,better to ask martin.

Op 14 okt 2010 20:25 schreef "Arun Ramiya" <email address hidden>:

Hello Martin:

I have an Ironkey and it works perfectly on 9.10 (Karmic Koala).
However, starting from 10.04 (Lucid), I see the kernel resetting the
device after few hours. I captured this bus event on a CATC analyzer and
filed a bug. Here's the link to the bug I filed:

https://bugs.launchpad.net/ubuntu/+bug/628282

Does your fix stops polling GET Configuration (0x46) or GET EVENT Status
(0x4A) command to Ironkey? I am doing data regression tests with this
drive and please let me know if there is an update available for Lucid
Lynx.

Best Regards,
Arun

--
mounting hardware encrypted usb stick failes
https://bugs.launchpad.net/bugs/653568
You receive...

Status in “udev” package in Ubuntu: Fix Committed
Status in “udev” source package in Maverick: Fix C...

Bug description:
Binary package hint: util-linux

Key is seen in dmesg.
appears in nautilus, but fai...
https://bugs.launchpad.net/ubuntu/+source/udev/+bug/653568/+subscribe

Arun Ramiya (arunprasadrm) wrote :

Bankey, the bug I filed has nothing to with mounting. But Martin's latest fixes could very well resolve the dismount bug I filed. It all depends whether the kernel poll Ironkey with Get EVENT Status command or not. I will try capturing USB bus with this fix and see if it helps. Thanks for your reply.

Best Regards,
Arun

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 163-1

---------------
udev (163-1) natty; urgency=low

  * New upstream release. Changes since our last git snapshot:
    - cdrom_id: Don't read beyond "last track" in TOC.
    - cdrom_id: Fall back to CDROM_DRIVE_STATUS if all MMC commands fail.
      (LP: #653568)
    - keymap: Add alternate MSI vendor name
    - lots of systemd updates (not relevant for us).
  * debian/control: Switch Vcs-Bzr: to natty branch.
 -- Martin Pitt <email address hidden> Mon, 11 Oct 2010 08:41:42 +0200

Changed in udev (Ubuntu):
status: Fix Committed → Fix Released
bankey (bankey-biharidassa) wrote :
Download full text (4.8 KiB)

well, this is my current output:

eduard@eduard-laptop:~$ dmesg |grep IronKey
[ 402.408196] scsi 3:0:0:0: CD-ROM IronKey CD-ROM
2.08 PQ: 0 ANSI: 0
[ 402.409559] scsi 3:0:0:1: Direct-Access IronKey Secure Drive
2.08 PQ: 0 ANSI: 0
eduard@eduard-laptop:~$ uname -a
Linux eduard-laptop 2.6.35-22-generic-pae #34~lucid1-Ubuntu SMP Mon Oct 11
14:53:39 UTC 2010 i686 GNU/Linux
eduard@eduard-laptop:~$ dmesg |grep 0x46
eduard@eduard-laptop:~$ dmesg |grep 0x4A
eduard@eduard-laptop:~$

So, looks like all ok...

ironkey is all day in the machine...

uname -a
Linux eduard-laptop 2.6.35-22-generic-pae #34~lucid1-Ubuntu SMP Mon Oct 11
14:53:39 UTC 2010 i686 GNU/Linux

Hope this helps more.. otherwise.. good luck with testing...
BTW: at ironkeyforum there is a topic about ubuntu 10.04 and 10.10..
pls feel welcome to add your findings..

regards,

bankey

2010/10/15 Arun Ramiya <email address hidden>

> Bankey, the bug I filed has nothing to with mounting. But Martin's
> latest fixes could very well resolve the dismount bug I filed. It all
> depends whether the kernel poll Ironkey with Get EVENT Status command or
> not. I will try capturing USB bus with this fix and see if it helps.
> Thanks for your reply.
>
> Best Regards,
> Arun
>
> --
> mounting hardware encrypted usb stick failes
> https://bugs.launchpad.net/bugs/653568
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “udev” package in Ubuntu: Fix Committed
> Status in “udev” source package in Maverick: Fix Committed
>
> Bug description:
> Binary package hint: util-linux
>
> Key is seen in dmesg.
> appears in nautilus, but failes to mount.
> mouning as root failes.
>
> in 9.04 till 10.04 it works flawless.
>
> bug regognision ironkey
>
> [ 158.024073] usb 1-1: new high speed USB device using ehci_hcd and
> address 5
> [ 158.173004] scsi7 : usb-storage 1-1:1.0
> [ 161.378310] scsi 7:0:0:0: CD-ROM IronKey CD-ROM
> 2.08 PQ: 0 ANSI: 0
> [ 161.379764] scsi 7:0:0:1: Direct-Access IronKey Secure Drive
> 2.08 PQ: 0 ANSI: 0
> [ 161.577707] sr0: scsi3-mmc drive: 52x/52x cd/rw xa/form2 cdda tray
> [ 161.578058] sr 7:0:0:0: Attached scsi CD-ROM sr0
> [ 161.578262] sr 7:0:0:0: Attached scsi generic sg1 type 5
> [ 161.578699] sd 7:0:0:1: Attached scsi generic sg2 type 0
> [ 161.599177] sd 7:0:0:1: [sdb] Attached SCSI removable disk
>
> bankey@goloka-vrindaban:~$ lsusb
> Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 003 Device 002: ID 12d1:1003 Huawei Technologies Co., Ltd. E220 HSDPA
> Modem / E270 HSDPA/HSUPA Modem
> Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 001 Device 005: ID 1953:0202 Ironkey Inc.
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>
> lshal:
> usb_device_1d6b_2_0000_00_1d_7' (string)
> info.product = 'IronKey' (string)
> info.subsystem = 'usb_device' (string)
> info.udi = '/org/freedesktop/Hal/devices/usb_device_1953_202_00420993'
> (string)
> info.vendor = 'Ironkey Inc.' (string)
> linux.device_file = '/dev/bus/usb/001/005' (string)
> linux.hotplug_type = 2 (...

Read more...

bankey (bankey-biharidassa) wrote :

BTW.. is think it does:

output before patch:
~# /lib/udev/cdrom_id --debug /dev/sr1
main: probing: '/dev/sr1'
cd_inquiry: INQUIRY: [IronKey ][CD-ROM ][2.08]
info_scsi_cmd_err: GET CONFIGURATION failed with SK=5h/ASC=20h/ACQ=00h
ID_CDROM=1
ID_CDROM_MEDIA=1

iow: it did not get config

This is solved in the patch, as martin explains @ #17

and shown in output in comment #24

have a good day/night.. :-)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 162-2.1

---------------
udev (162-2.1) maverick-proposed; urgency=low

  * cdrom_id: Backport two fixes from upstream git head to fix media detection
    of drives:
    - Fall back to CDROM_DRIVE_STATUS if the drive neither support the SCSI
      "GET CONFIGURATION" nor the older (pre-MMC2) "READ DISC INFORMATION"
      command. This fixes media detection on the IronKey and similar encrypted
      USB sticks.
    - Don't read beyond "last track" in TOC. Read the first and last track
      from the TOC header, and do not go beyond that stated number of tracks
      when reading the TOC. Otherwise we interpret random data which leads to
      bogus tracks. (Reported on an IronKey, which reported 1 data track, and
      4 audio tracks which weren't actually present.)
    - LP: #653568
 -- Martin Pitt <email address hidden> Fri, 08 Oct 2010 22:26:37 +0200

Changed in udev (Ubuntu Maverick):
status: Fix Committed → Fix Released
Arun Ramiya (arunprasadrm) wrote :

Hi Bankey, Martin,

This fix does resolve the dismount issue with Maverick and my data regression tests with Ironkey pass :-)

I need this fix on Ubuntu 10.04 Lucid Lynx, I guess I need to file a separate bug under Lucid. Thanks Martin & Bankey for staying on top of this issue and get it resolved.

Best Regards,
Arun

Martin Pitt (pitti) wrote :

Adding lucid task, this should be easy to backport. For now you can test/use the udev package in my SRU test PPA: https://launchpad.net/~pitti/+archive/sru-test

Changed in udev (Ubuntu Lucid):
assignee: nobody → Martin Pitt (pitti)
status: New → In Progress
Martin Pitt (pitti) wrote :

Package uploaded to lucid-proposed, awaiting SRU team approval/review.

description: updated
Martin Pitt (pitti) on 2010-10-22
Changed in udev (Ubuntu Lucid):
status: In Progress → Fix Committed

Accepted udev into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
Arun Ramiya (arunprasadrm) wrote :

Thanks Colin. I have started my testing and will post the status in a day or two. Many Thanks.

Arun

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 151-12.2

---------------
udev (151-12.2) lucid-proposed; urgency=low

  * Backport cdrom_id from maverick:
    - Fix detection of reblanked DVD+RW and DVD-RAM. Once formatted, DVD+RW
      and DVD-RAM discs are always reported "complete" by t drive. Check the
      if the Volume Descriptor or Volume Descriptor Anchor sector are empty,
      and if so, set the status to blank. (Regression from Ubuntu 9.10)
      (LP: #581925)
    - cdrom_id: Handle pre-MMC2 drives which do not yet support the 0x46 "GET
      CONFIGURATION" SCSI command. If we have those, fall back to the 0x51
      "READ DISC INFORMATION" call. This can only differentiate between CD-RW
      and CD-R, but first that's better than a complet detection failure, and
      second, those old drives likely don't support more modern media in the
      first place. (LP: #502143)
    - Fall back to CDROM_DRIVE_STATUS if all MMC commands fail. Reportedly,
      some fake USB CD sticks like the IronKey neither support the SCSI "GET
      CONFIGURATION" nor the older (pre-MMC2) "READ DISC INFORMATION" command.
      In that case, check if cd_media_compat() detected that there is a disc
      present, and assume that we have a CD-ROM medium. (Regression from
      Ubuntu 9.10). (LP: #653568)
    - READ TOC before READ DISC INFORMATION, to fix CD drives in qemu.
    - Don't read beyond "last track" in TOC. Do not go beyond that stated
      number of tracks when reading the TOC. Otherwise we interpret random
      data which leads to bogus tracks. (Reported on an IronKey, which
      reported 1 data track, and 4 audio tracks which weren't actually
      present.)
 -- Martin Pitt <email address hidden> Thu, 21 Oct 2010 11:12:58 +0200

Changed in udev (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers